Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 87400

Summary: library relocation error using SNMP in a PHP page
Product: [Retired] Red Hat Linux Reporter: Christopher Keller <cnkeller>
Component: phpAssignee: Joe Orton <jorton>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: high Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-14 09:26:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Christopher Keller 2003-03-26 17:25:21 UTC
Description of problem:
Library relocation error using PHP & SNMP.

Note this bug is similar to #74761.

Version-Release number of selected component (if applicable):
<172.31.40.179> cnkeller $ rpm -qa | egrep "php|httpd"
redhat-config-httpd-1.0.1-17
httpd-manual-2.0.40-20
php-devel-4.2.2-16
php-4.2.2-16
php-snmp-4.2.2-16
php-imap-4.2.2-16
httpd-2.0.40-20

How reproducible:
Always

Steps to Reproduce:
1. Use any snmpget in a PHP script
2.
3.
    
Actual results:
<172.31.40.179> cnkeller $ tail /var/log/httpd/error_log
[Wed Mar 26 08:22:31 2003] [notice] Apache/2.0.40 (Red Hat Linux) configured --
resuming normal operations
/usr/sbin/httpd: relocation error: /usr/lib/php4/snmp.so: undefined symbol:
php_error_docref
/usr/sbin/httpd: relocation error: /usr/lib/php4/snmp.so: undefined symbol:
php_error_docref
/usr/sbin/httpd: relocation error: /usr/lib/php4/snmp.so: undefined symbol:
php_error_docref

Expected results:
SNMP variable

Additional info:

Comment 1 Joe Orton 2003-04-14 09:26:49 UTC
Those aren't the packages shipped in 9, you should have:

php-4.2.2-17
php-snmp-4.2.2-17

this problem was fixed between -16 and -17.